#
# spec file for package doxygen (Version 1.5.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libpng libpng-devel libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           doxygen
BuildRequires:  gcc-c++ libpng-devel
Version:        1.5.0
Release:        15
Autoreqprov:    on
License:        GNU General Public License (GPL)
Group:          Development/Tools/Doc Generators
Summary:        Automated C, C++, and Java Documentation Generator
URL:            http://www.stack.nl/~dimitri/doxygen/
Source:         %{name}-%{version}.src.tar.bz2
# script to get %%source2
Source1:        doxygen-html.sh
Source2:        %{name}-%{version}-html.tar.bz2
Source3:        %{name}_manual-%{version}.pdf.bz2
Patch:          %{name}-64archs.diff
Patch1:         %{name}-%{version}-libpng.diff
Patch2:         %{name}-%{version}-arm.patch
Patch3:         %{name}-%{version}-man.patch
Patch4:         %{name}-%{version}-disable-rtf-debug.patch
Patch5:         %{name}-%{version}-dont-exit-on-warning.patch
Patch6:         doxygen-missing_space_after_bf.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Doxygen is a documentation system for C, C++, Java, and IDL. It can
generate an online class browser (in HTML) and an offline reference
manual (in LaTeX) from a set of documented source files. The
documentation is extracted directly from the sources. Doxygen is
developed on a Linux platform, but it runs on most other UNIX flavors
as well. An executable for Windows 95/NT is also available.



Authors:
--------
    Dimitri van Heesch <dimitri@stack.nl>

%debug_package
%prep
%setup -q -b 2
%ifarch s390x ia64 ppc64 x86_64
%patch
%endif
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
cp -v %{S:3} .
bzip2 -d %{name}_manual-%{version}.pdf.bz2

%build
%{suse_update_libdir tmake/lib/linux-g++/tmake.conf}
perl -pi -e "s#TMAKE_CFLAGS_RELEASE.*=.*#TMAKE_CFLAGS_RELEASE=$RPM_OPT_FLAGS -fno-strict-aliasing#;" tmake/lib/linux-g++/tmake.conf
./configure --prefix /usr --install /usr/bin/install
make %{?jobs:-j%jobs}
#make docs
#make pdf

%install
rm -rf  %{buildroot}
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/doxygen
make install INSTALL=$RPM_BUILD_ROOT/usr DOCDIR=$RPM_BUILD_ROOT%{_docdir}/doxygen
install -m 644 LICENSE LANGUAGE.HOWTO PLATFORMS README VERSION $RPM_BUILD_ROOT%{_docdir}/doxygen
cp -a html $RPM_BUILD_ROOT%{_docdir}/doxygen
cp doxygen_manual-%{version}.pdf $RPM_BUILD_ROOT%{_docdir}/doxygen
rm $RPM_BUILD_ROOT%{_mandir}/man1/doxywizard.1

%clean
rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc %{_docdir}/doxygen
%attr(444,root,root) %doc %{_mandir}/man1/doxygen.1.gz
%attr(444,root,root) %doc %{_mandir}/man1/doxytag.1.gz
%attr(755,root,root) /usr/bin/*

%changelog
* Fri Mar 02 2007 - pth@suse.de
- Apply upstream patch that adds a space after \bf in generated
  latex code which would otherwise break post processing (#24678)
* Thu Nov 16 2006 - mmarek@suse.cz
- don't abort just because of a warning (fixes yast2-core build)
  (dont-exit-on-warning.patch)
* Wed Oct 18 2006 - anosek@suse.cz
- updated to version 1.5.0
  *  Cleaned up the internal structures to make them smaller,
  and made doxygen use a temporary file to store the parse
  results (instead of keeping them in memory), which will
  further reduce the memory usage, especially for large projects
  *  Sections produces by \note, \warning, \remarks etc, now have
  a class label in the generated HTML (<dl> tag) so you can give
  them a distinct style using a non-default stylesheet
  (i.e. using HTML_STYLESHEET).
  *  Lots of bugfixes
* Mon Jun 26 2006 - mmarek@suse.cz
- updated to 1.4.7
  * changes in the CSS stylesheet and HTML class names => possible
  incompatibility with custom stylesheets
  * new CALLER_GRAPH option to add called-by graph to functions
  * new REFERENCES_LINK_SOURCE option to set whether function names
  in REFERENCES_RELATION and REFERENCED_BY_RELATION link to
  source or documentation
  * updated some translations
  * added support for get/set properties in IDL
  * lost of bugfixes
- dropped patches: qtools.patch, segfault.patch
- added script to update the html docu tarball to source rpm
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 05 2006 - mmarek@suse.cz
- fix segfault in doxygen.cpp
  [#141384] (segfault.patch)
- use make -j
- add -fno-strict-aliasing
* Mon Jan 02 2006 - mmarek@suse.cz
- update to 1.4.6
* Mon Oct 10 2005 - mmarek@suse.cz
- update to 1.4.5
* Tue Sep 20 2005 - mmarek@suse.cz
- fix qtools to build with gcc-4.1.0
* Wed Aug 24 2005 - mmarek@suse.cz
- disable RTF debug comments in src/rtfdocvisitor.cpp (those
  comments are displayed by default in ooffice and abiword). See
  gnome bugzilla #149797
* Thu Jul 28 2005 - postadal@suse.cz
- updated to version 1.4.4
  * added man pages
- removed obsoleted qt-mt patch
* Wed Apr 06 2005 - uli@suse.de
- un-packing QChar seems to break doxygen; removed the
  incriminated methods instead as they are unused anyway
* Thu Mar 31 2005 - uli@suse.de
- GCC does not allow references to members of packed structs on
  ARM
* Wed Jan 12 2005 - postadal@suse.cz
- updated to version 1.4.1
* Wed Aug 11 2004 - postadal@suse.cz
- linked dynamically against libpng
* Tue Aug 03 2004 - postadal@suse.cz
- updated to version 1.3.8
* Tue Apr 27 2004 - postadal@suse.cz
- doxywizard split off (removed qt3 dependency)
* Tue Mar 23 2004 - postadal@suse.cz
- applied patches from cvs to fix bug #36397 (doxygen ate all memory building the libstdc++)
* Fri Feb 13 2004 - postadal@suse.cz
- updated to version 1.3.6
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Mon Oct 06 2003 - kukuk@suse.de
- Use prebuild documentation from website
* Thu Oct 02 2003 - adrian@suse.de
- update to version 1.3.4
* Sat Aug 16 2003 - adrian@suse.de
- add desktop file for doxywizard
* Thu Jul 24 2003 - postadal@suse.cz
- updated to version 1.3.2
* Sun Jun 15 2003 - mmj@suse.de
- Update to 1.3.1
* Mon Feb 10 2003 - ro@suse.de
- fix build with tetex-2.0
* Thu Feb 06 2003 - ro@suse.de
- force install tool
* Wed Nov 20 2002 - ro@suse.de
- use ghostscript-mini-packages in neededforbuild
* Tue Oct 08 2002 - postadal@suse.cz
- updated to version 1.2.18
  * @deprecated is now treated as @todo, @test, and @bug
  * enum value documentation was added to the XML output.
  * files ending with ".inc" are now recognised as PHP files
  * included updated documentation for language translators
  * included language updates
  * added new configuration options XML_DTD and XML_SCHEMA to set the DTD or Schema used in the XML output.
- patch for 64bit archs
* Sun Aug 18 2002 - ro@suse.de
- added ghostscript-x11-packages to neededforbuild (for gs)
* Sun Jul 28 2002 - meissner@suse.de
- use RPM_OPT_FLAGS so it builds on ppc64.
* Thu Jul 18 2002 - coolo@suse.de
- updating to 1.2.17 (needed for new kdelibs3)
* Sun Jun 09 2002 - olh@suse.de
- build with -mminimal-toc on ppc64, workaround
* Fri May 03 2002 - meissner@suse.de
- really write %%_lib instead of just lib64
* Thu May 02 2002 - meissner@suse.de
- %%_lib fixes
* Sun Apr 07 2002 - adrian@suse.de
- export compiler flags via RPM_OPTL_FLAGS to get an effect
  (fix compile for mips)
* Thu Mar 14 2002 - ro@suse.de
- patch tmake config file as well to use qt-mt
* Tue Mar 12 2002 - ro@suse.de
- build against qt3
* Thu Jan 31 2002 - ro@suse.de
- added libgimpprint to neededforbuild
* Tue Jan 29 2002 - cihlar@suse.cz
- use %%{suse_update_libdir}
* Mon Jan 07 2002 - cihlar@suse.cz
- updated to version 1.2.13.1
* Wed Jan 02 2002 - cihlar@suse.cz
- updated to version 1.2.13
* Mon Nov 19 2001 - cihlar@suse.cz
- updated to version 1.2.12
* Fri Nov 09 2001 - ro@suse.de
- use qt-devel-packages
* Mon Oct 08 2001 - cihlar@suse.cz
- updated to version 1.2.11.1
* Mon Oct 01 2001 - tiwai@suse.de
- updated to version 1.2.11
* Thu Sep 27 2001 - tiwai@suse.de
- updated to version 1.2.10
* Wed Aug 08 2001 - cihlar@suse.cz
- update to version 1.2.9.1
* Fri Aug 03 2001 - cihlar@suse.cz
- update to version 1.2.9
- gzipped doxygen_manual.ps
* Thu Jul 26 2001 - cihlar@suse.cz
- update to version 1.2.8.1
* Mon Jul 23 2001 - cihlar@suse.cz
- added glib to neededforbuild
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Wed May 16 2001 - cihlar@suse.cz
- update to version 1.2.7
- fixed warnings on ia64
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Mon Mar 12 2001 - cihlar@suse.cz
- update to version 1.2.6
* Tue Mar 06 2001 - cihlar@suse.cz
- update to version 1.2.5
* Mon Jan 22 2001 - cihlar@suse.cz
- update to version 1.2.4
* Thu Nov 30 2000 - cihlar@suse.cz
- fixed neededforbuild: += liblcms
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Mon Nov 13 2000 - cihlar@suse.cz
- fixed to compile
* Fri Nov 03 2000 - cihlar@suse.cz
- fixed neededforbuild
* Tue Oct 31 2000 - cihlar@suse.cz
- update to version 1.2.3
* Mon Oct 09 2000 - cihlar@suse.cz
- update to version 1.2.2
- added libmng to neededforbuild
* Fri Aug 25 2000 - cihlar@suse.cz
- added BuildRoot
- fixed neededforbuild
* Tue Aug 15 2000 - garloff@suse.de
- Update to stable version 1.2.1.
- No need for using -g for release version any longer.
* Wed Jul 05 2000 - garloff@suse.de
- Update to doxygen-1.1.5: Many bugfixes (last pre-1.2)
- Documentation (.ps,.pdf) is now being build from the sources
* Tue Jun 27 2000 - garloff@suse.de
- Detect qtlib2 version and pass it to the dynamic linker with
  LD_RUN_PATH (equivalent to -rpath).
* Wed Jun 21 2000 - garloff@suse.de
- Change QTDIR to /usr/lib/qt2 (instead of qt-2.1.1) to avoid
  breakage in case of qtlib2 upgrade.
* Tue Jun 06 2000 - garloff@suse.de
- Upgrade to doxygen-1.1.4.
- Use qt2 to build.
- The Makefile for the doc subdir is now correctly created.
* Wed May 24 2000 - garloff@suse.de
- Use %%{_docdir}
* Wed Jan 05 2000 - garloff@suse.de
- Upgrade to doxygen-1.0.0
* Sun Oct 31 1999 - ro@suse.de
- re-added -g to CFLAGS (workaround for a segfault without)
* Sat Oct 30 1999 - garloff@suse.de
- Update to 0.49-991003.
- Added pdf docu.
* Wed Aug 04 1999 - garloff@suse.de
- Update to 0.49-990728.
* Wed Jul 28 1999 - garloff@suse.de
- Added missing neededforbuild packages.
- Add -g to compile flags: Workaround for egcs on AXP (!)
* Sat Jul 24 1999 - garloff@suse.de
- Check in der 0.49-990522 Version. linux-egcs Target.
